College Basketball DataCollege Basketball Data
  • CollegeBasketballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • API Reference
Helpful links
  • CBBD
  • Get API key
  • Access tiers
Official libraries
  • Python
  • TypeScript
  • R
  • API source
Other resources
  • Rad Sports Analytics
  • Football
  • CBB Starter Pack

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/mediaget/games/teamsget/games/playersget/scoreboardget
Plays
    /substitutions/game/{gameId}get/substitutions/player/{playerId}get/substitutions/teamget/plays/game/{gameId}get/plays/player/{playerId}get/plays/teamget/plays/dateget/plays/tournamentget/plays/typesget
Teams
    /teamsget/teams/rosterget
Conferences
    /conferencesget/conferences/historyget
Venues
    /venuesget
Stats
    /stats/team/leaderboardget/stats/team/seasonget/stats/team/shooting/seasonget/stats/player/seasonget/stats/player/shooting/seasonget
Rankings
    /rankingsget
Ratings
    /ratings/srsget/ratings/adjustedget/ratings/eloget
Lines
    /linesget/lines/providersget
Lineups
    /lineups/teamget/lineups/game/{gameId}get
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/portalget
Schemas
powered by Zudoku
College Basketball Data API
College Basketball Data API

Draft

Download schema

Historical NBA draft data.


GET
https://api.collegebasketballdata.com
/draft/teams
Bearer

Returns NBA teams represented in the draft data.

Responses

200

Ok

​DraftTeam[]
DraftTeam
id
​integer · int32 · required
sourceId
​number · double · required
location
​string · required
name
​string · required
displayName
​string · required
abbreviation
​string · required
GET/draft/teams
curl https://api.collegebasketballdata.com/draft/teams \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "id": 0, "sourceId": 0, "location": "location", "name": "name", "displayName": "displayName", "abbreviation": "abbreviation" } ]
json
application/json

GET
https://api.collegebasketballdata.com
/draft/positions
Bearer

Returns player positions represented in the draft data.

Responses

200

Ok

​DraftPosition[]
DraftPosition
name
​string · required
abbreviation
​string · required
GET/draft/positions
curl https://api.collegebasketballdata.com/draft/positions \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "name": "name", "abbreviation": "abbreviation" } ]
json
application/json

GET
https://api.collegebasketballdata.com
/draft/picks
Bearer

Returns historical NBA draft picks.

query Parameters

year
​integer · int32

Filters results to the specified draft year.

draftTeam
​string

Filters results to the specified NBA team.

sourceTeam
​string

Filters results to the specified college team.

position
​string

Filters results to the specified player position abbreviation.

Responses

200

Ok

​DraftPick[]
DraftPick
athleteId
​integer | null · int32 · required
sourceTeamId
​integer | null · int32 · required
sourceTeamLocation
​string | null · required
sourceTeamName
​string | null · required
sourceTeamLeagueAffiliation
​string | null · required
sourceTeamCollegeId
​number | null · double · required
draftTeamId
​number · double · required
draftTeam
​string · required
year
​integer · int32 · required
overall
​integer · int32 · required
round
​integer · int32 · required
pick
​integer · int32 · required
name
​string · required
overallRank
​integer | null · int32 · required
positionRank
​integer | null · int32 · required
height
​number | null · double · required
weight
​integer | null · int32 · required
GET/draft/picks
curl https://api.collegebasketballdata.com/draft/picks \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "athleteId": 0, "sourceTeamId": 0, "sourceTeamLocation": "sourceTeamLocation", "sourceTeamName": "sourceTeamName", "sourceTeamLeagueAffiliation": "sourceTeamLeagueAffiliation", "sourceTeamCollegeId": 0, "draftTeamId": 0, "draftTeam": "draftTeam", "year": 0, "overall": 0, "round": 0, "pick": 0, "name": "name", "overallRank": 0, "positionRank": 0, "height": 0, "weight": 0 } ]
json
application/json

LineupsRecruiting